Loading...
Searching...
No Matches
_CameraFileInfoPreview Struct Reference

File information of a preview file. More...

`#include <gphoto2-filesys.h>`

## Data Fields

CameraFileInfoFields | fields
| Bitmask containing the set members.
CameraFileStatus | status
| Status of the preview.
uint64_t | size
| Size of the preview.
char | type [64]
| MIME type of the preview.
uint32_t | width
| Width of the preview.
uint32_t | height
| Height of the preview.

## Detailed Description

File information of a preview file.

Contains information of a preview file with fields being set depending on the bitmask in the fields member.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-filesys.h